- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/v1/wireGroups/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/wireGroups/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/wireGroups/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/wireGroups/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/wireGroups/get#body.WireGroup.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/wireGroups/get#body.WireGroup.SCHEMA_REPRESENTATION.wires.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/wireGroups/get#body.WireGroup.SCHEMA_REPRESENTATION.wires.SCHEMA_REPRESENTATION_1)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/wireGroups/get#body.WireGroup.SCHEMA_REPRESENTATION.topology.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/v1/wireGroups/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/v1/wireGroups/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/v1/wireGroups/get#try-it)

Gets the specified wire group resource in the given scope.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/global/crossSiteNetworks/{crossSiteNetwork}/wireGroups/{wireGroup}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `crossSiteNetwork` | `string` |
| `wireGroup` | `string` Name of the wire group resource to return. |

### Request body

The request body must be empty.

### Response body

A resource that represents a group of redundant wires.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "selfLink": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "endpoints": { string: { "interconnects": { string: { "interconnect": string, "vlanTags": [ integer ] }, ... } }, ... }, "wireProperties": { "bandwidthUnmetered": string, "bandwidthAllocation": enum, "faultResponse": enum }, "adminEnabled": boolean, "wires": [ { "label": string, "endpoints": [ { "interconnect": string, "vlanTag": integer } ], "wireProperties": { "bandwidthUnmetered": string, "bandwidthAllocation": enum, "faultResponse": enum }, "adminEnabled": boolean } ], "topology": { "endpoints": [ { "label": string, "city": string } ] }, "reconciling": boolean } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#wireGroups` for wire groups. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource type. The server generates this identifier. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of the wire group. |
| `endpoints[]` | `map (key: string, value: object)` A map that contains the logical endpoints of the wire group. Specify key-value pairs for the map as follows: - Key: an RFC1035 user-specified label. - Value: an `Endpoint` object. <br /> |
| `endpoints[].interconnects[]` | `map (key: string, value: object)` A map that contains the redundant Interconnect connections. Specify key-value pairs for the map as follows: - Key: an RFC1035 user-specified label. - Value: an `Interconnect` object. <br /> |
| `endpoints[].interconnects[].interconnect` | `string` Required. An Interconnect connection. You can specify the connection as a partial or full URL. If the connection is in a different project from the cross-site network, use a format that specifies the project. See the following examples of partial and full URLs: `global/interconnects/NAME` `projects/PROJECT_ID/global/interconnects/NAME` - `https://compute.googleapis.com/compute/projects/PROJECT_ID/global/interconnects/NAME` <br /> |
| `endpoints[].interconnects[].vlanTags[]` | `integer` Required. To configure the wire group for VLAN mode, enter a VLAN tag, which is a number from `2` to `4093`. You can autoallocate a tag by entering `0`. To configure the wire group for port mode, enter `-1`. Review the following guidelines: - A VLAN tag must be unique for an Interconnect connection across all attachments and wire groups. - Both endpoints of a wire must use the same VLAN tag value. - Single wire and redundant type wire groups must have only one VLAN tag. - Port mode pseudowires must have a single VLAN tag with a value of `-1` for both endpoints. - Box and cross type wire groups must have two VLAN tags. The first is for the same-zone pseudowire, and the second is for the cross-zone pseudowire. <br /> |
| `wireProperties` | `object` Properties for all wires in the wire group. |
| `wireProperties.bandwidthUnmetered` | `string (https://developers.google.com/discovery/v1/type-format format)` The unmetered bandwidth in Gigabits per second, using decimal units. `10` is 10 Gbps, `100` is 100 Gbps. The bandwidth must be greater than 0. |
| `wireProperties.bandwidthAllocation` | `enum` The configuration of the bandwidth allocation, one of the following: - ALLOCATE_PER_WIRE: configures a separate unmetered bandwidth allocation (and associated charges) for each wire in the group. - SHARED_WITH_WIRE_GROUP: this is the default behavior, which configures one unmetered bandwidth allocation for the wire group. The unmetered bandwidth is divided equally across each wire in the group, but dynamic throttling reallocates unused unmetered bandwidth from unused or underused wires to other wires in the group. <br /> |
| `wireProperties.faultResponse` | `enum` Response when a fault is detected in a pseudowire: - NONE: default. - DISABLE_PORT: set the port line protocol down when inline probes detect a fault. This setting is only permitted on port mode pseudowires. <br /> |
| `adminEnabled` | `boolean` Indicates whether the wires in the wire group are enabled. When false, the wires in the wire group are disabled. When true and when there is simultaneously no wire-specific override of `adminEnabled` to false, a given wire is enabled. Defaults to true. |
| `wires[]` | `object` Output only. The single/redundant wire(s) managed by the wire group. |
| `wires[].label` | `string` Output only. A label that identifies the wire. The format of this label combines the existing labels of the wire group endpoints and Interconnect connections used by this wire in alphabetical order as follows: `ENDPOINT_A+CONNECTION_A1,ENDPOINT_B+CONNECTION_B1`, where: - `ENDPOINT_A` and `ENDPOINT_B`: are the labels that you entered as map keys when you specified the wire group endpoint objects. - `CONNECTION_A1` and `CONNECTION_B1`: are the labels that you entered as map keys when you specified the wire group Interconnect objects. <br /> |
| `wires[].endpoints[]` | `object` Output only. Wire endpoints are specific Interconnect connections. |
| `wires[].endpoints[].interconnect` | `string` |
| `wires[].endpoints[].vlanTag` | `integer` |
| `wires[].wireProperties` | `object` Output only. Properties of the wire. |
| `wires[].wireProperties.bandwidthUnmetered` | `string (https://developers.google.com/discovery/v1/type-format format)` The unmetered bandwidth in Gigabits per second, using decimal units. `10` is 10 Gbps, `100` is 100 Gbps. The bandwidth must be greater than 0. |
| `wires[].wireProperties.bandwidthAllocation` | `enum` The configuration of the bandwidth allocation, one of the following: - ALLOCATE_PER_WIRE: configures a separate unmetered bandwidth allocation (and associated charges) for each wire in the group. - SHARED_WITH_WIRE_GROUP: this is the default behavior, which configures one unmetered bandwidth allocation for the wire group. The unmetered bandwidth is divided equally across each wire in the group, but dynamic throttling reallocates unused unmetered bandwidth from unused or underused wires to other wires in the group. <br /> |
| `wires[].wireProperties.faultResponse` | `enum` Response when a fault is detected in a pseudowire: - NONE: default. - DISABLE_PORT: set the port line protocol down when inline probes detect a fault. This setting is only permitted on port mode pseudowires. <br /> |
| `wires[].adminEnabled` | `boolean` Output only. Indicates whether the wire is enabled. When false, the wire is disabled. When true and when the wire group of the wire is also enabled, the wire is enabled. Defaults to true. |
| `topology` | `object` Output only. Topology details for the wire group configuration. |
| `topology.endpoints[]` | `object` Output only. Topology details for all endpoints in the wire group. |
| `topology.endpoints[].label` | `string` Output only. Endpoint label from the wire group. |
| `topology.endpoints[].city` | `string` Output only. The InterconnectLocation.city (metropolitan area designator) that all interconnects are located in. |
| `reconciling` | `boolean` Output only. Indicates whether there are wire changes yet to be processed. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.wireGroups.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).